Topic-icon Unable to find a version of the runtime to run this [GELÖST]

Mehr
5 Jahre 2 Monate her - 4 Jahre 11 Monate her #18520 von lead341
lead341 erstellte das Thema Unable to find a version of the runtime to run this [GELÖST]
Hallo,

ich wollte heute Wing Commander Saga starten (Launch Wing Commander Saga), ich erhalte jedoch stets die Fehlermeldung "Unable to find a version of the runtime to run this application". Woran könnte dies liegen?

Gruss Lead
Letzte Änderung: 4 Jahre 11 Monate her von Luke. Begründung: Aus dem Technik Board hierher verschoben

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18527 von Luke
Luke antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Willkommen an Bord lead341 :)

Das klingt nach fehlenden Runtimes. Da ich zwar auch Entwickler bin, allerdings nicht von WCS und ich so nicht weiss welche Runtimes das sind, hab ich mir die EXE mal näher angeschaut. Es "scheint" sich um eine C++ Executable zu handeln, also dürfte es mit den Microsoft C++ Runtime Bibliotheken ein Problem geben, bzw. da etwas fehlen. Das ist jedoch nur eine Vermutung.

Allerdings kenne ich solche Fehlermeldungen in ähnlicher Form auch von anderen Programmiersprachen (wo ich selber Zuhause bin) und nicht immer sind fehlende Runtimes tatsächlich das Problem bzw. der Auslöser für solche Meldungen. Es könnte also auch etwas anderes sein.

Schuss ins Blaue: Normal wird WCS mit der Verknüpfung "Launch Wing Commander Saga" gestartet. Diese wiederum führt Wing Commander Saga.exe aus und diese wiederum startet schlussendlich wcsaga_sse2.exe. Um mal den Fehler einzugrenzen: was passiert denn, wenn Du wcsaga_sse2.exe direkt startest?

Zweiter Ansatz: Debug Build runterladen und WCS damit starten. Siehe diesen Beitrag . Bitte alle Punkte ausführen die Renegade dort angibt.

Tools: Setup ZIP Check & UnZip / EPW-Bug Repair Tool / Debug-Build Support-Tool / Pilot Manager ...und andere
Projekte: Deutsch-Mod / WCS+

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18528 von Renegade
Renegade antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Da war der gute Luke doch wieder schneller ;)

Genau mach was Master Luke :) sagt dann laufen wird das Spiel

Gruß Peter

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18532 von lead341
lead341 antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Danke für die Antworten - das war Gold wert.

wcsaga_sse2.exe funktioniert tatsächlich - ich hatte es vor ein paar Tagen schon mal zum Laufen bekommen, allerdings seltsamerweise über den Launcher.

In diesem Zusammenhang eine kurze Frage zum technischen Gerüst: so wie ich es sehe, gibt es WCSaga nur im open glide-Modus ohne AA, korrekt? Es gibt also keine Directx-Version.

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18533 von Renegade
Renegade antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Ja es gibt nur OpenGL !!!
AA kannst du über den Grafikkartentreiber erzwingen.
Schau hier mal im Forum rum, da wurde das schon recht gut durchgekaut.

Gruß Peter

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18534 von Luke
Luke antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Wenn Du eine NVIDIA hast, dann schau mal hier rein. Bei ATI ist bez. AA leider mit Komplikationen zu rechnen. Siehe dazu den Beitrag von Tolywn im englischen Forum. Hier im deutschen findest auch einiges zum Thema ATI und AA.

lead341 schrieb: wcsaga_sse2.exe funktioniert tatsächlich - ich hatte es vor ein paar Tagen schon mal zum Laufen bekommen, allerdings seltsamerweise über den Launcher.


Das musst jetzt bisserl erklären. :confused: Jetzt läuft es, oder wie? Also auch über den Launcher?

Renegade0147 schrieb: dann laufen wird das Spiel


Die Weisheit von Meister Yoda ich mir wünsche, dann Fehlermeldungen einfach wegmeditieren ich könnte. ;)

Tools: Setup ZIP Check & UnZip / EPW-Bug Repair Tool / Debug-Build Support-Tool / Pilot Manager ...und andere
Projekte: Deutsch-Mod / WCS+

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18539 von lead341
lead341 antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
@ Luke: nein, über den Launcher läuft es im Moment nicht. Ich meine mich lediglich zu entsinnen, dass ich es vor ein paar Tagen über den Launcher starten konnte - und dann eben nicht mehr. Ich gehe aber davon aus, es handelt sich um eine fehlerhafte Erinnerung. Die sse2 funktioniert auf jeden Fall.

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18540 von Luke
Luke antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Merkwürdig. Also lässt sich der Launcher selbst starten, man kann dann nur nicht darüber das Spiel starten?

Tools: Setup ZIP Check & UnZip / EPW-Bug Repair Tool / Debug-Build Support-Tool / Pilot Manager ...und andere
Projekte: Deutsch-Mod / WCS+

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18541 von Luke
Luke antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Im Bugtracker gibt es übrigens noch ein paar andere Fälle bei denen es Probleme gibt beim Starten von WCS über den Launcher. Allerdings sind diese Fälle laut Beschreibungen anders gelagert als Deiner. Darum hab ich das mal an KeldorKatarn gemeldet, dem Hauptprogrammierer von WCS.

Tools: Setup ZIP Check & UnZip / EPW-Bug Repair Tool / Debug-Build Support-Tool / Pilot Manager ...und andere
Projekte: Deutsch-Mod / WCS+

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18544 von lead341
lead341 antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Besten Dank! Das ist zwar jetzt nicht so kritisch, da ich ja ins Spiel komme - aber interessant ist es trotzdem.

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18546 von KeldorKatarn
KeldorKatarn antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Der launcher liegt schon im gleichen verzeichnis wie das game oder? du hast den launcher nicht zufällig auf den desktop geschoben oder sowas?

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18555 von lead341
lead341 antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Genau, der Launcher liegt im gleichen Verzeichnis wie das Spiel - lediglich die Verknüpfung des Launchers befindet sich auf dem Desktop.

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18582 von lead341
lead341 antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Konnte schon eine Lösung für das Problem mit dem Launcher gefunden werden? Der genaue Wortlaut:

Wing Commander Saga.exe - .NET Framework Initialization Error
Unable to find a version of the runtime to run this application

Es wäre vielleicht doch gar nicht so schlecht, in den Launcher zu kommen - angeblich kann man da ja auch Dinge wie die Auflösung einstellen (welches ingame leider nicht geht).

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18583 von Luke
Luke antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
Hi

lead341 schrieb: Es wäre vielleicht doch gar nicht so schlecht, in den Launcher zu kommen - angeblich kann man da ja auch Dinge wie die Auflösung einstellen (welches ingame leider nicht geht).


Deswegen fragte ich ob sich der Launcher selbst starten lässt, wovon ich bis jetzt ausging. Ich kann nur "versuchen" zu helfen.

2 Dinge: Welches Windows hast Du und welche NET Frameworks sind bei Dir installiert? Das kannst Du in der Systemsteuerung unter "Software" bzw. unter "Programme und Funktionen" nachschauen. Bitte alles auflisten was mit NET aufgeführt wird.

Tools: Setup ZIP Check & UnZip / EPW-Bug Repair Tool / Debug-Build Support-Tool / Pilot Manager ...und andere
Projekte: Deutsch-Mod / WCS+

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Mehr
5 Jahre 2 Monate her #18584 von lead341
lead341 antwortete auf das Thema: Unable to find a version of the runtime to run this [GELÖST]
[LÖSUNG]

Hi Luke,

besten Dank!
Ich konnte das Problem nach etlichen Forenrecherchen nun lösen (was würde der Laie heute ohne Internet bzw. Foren machen???). Nun, ich hatte das net framework 4.0 installiert - allerdings genügte dies nicht. Ich musste separat die Version 3.5 nachinstallieren - und plötzlich funktionierte es. Ich habe keine Ahnung, was das net framework ist, wozu man es benötigt und weshalb in einer fortgeschrittenen Version die früheren Versionen nicht mit inbegriffen sind. Aber Hauptsache es funktioniert.

Gruss lead

Bitte Anmelden oder Registrieren um der Konversation beizutretten.

Ladezeit der Seite: 0.162 Sekunden

Login